Bug 1764441 (CVE-2019-11760) - CVE-2019-11760 Mozilla: Stack buffer overflow in WebRTC networking
Summary: CVE-2019-11760 Mozilla: Stack buffer overflow in WebRTC networking
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11760
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1763562 1764938 1763558 1763559 1763560 1763561 1763563 1764206 1764937 1764939 1764940 1764941 1764942
Blocks: 1763556
TreeView+ depends on / blocked
 
Reported: 2019-10-23 05:40 UTC by Doran Moppert
Modified: 2020-03-31 05:20 UTC (History)
5 users (show)

Fixed In Version: firefox 68.2, thunderbird 68.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was discovered in Mozilla Firefox and Thunderbird where a fixed-stack buffer overflow could occur during WebRTC signalling. The vulnerability could lead to an exploitable crash or leak data.
Clone Of:
Environment:
Last Closed: 2019-10-25 00:51:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3193 None None None 2019-10-23 14:00:45 UTC
Red Hat Product Errata RHSA-2019:3196 None None None 2019-10-24 08:24:47 UTC
Red Hat Product Errata RHSA-2019:3210 None None None 2019-10-29 09:49:08 UTC
Red Hat Product Errata RHSA-2019:3237 None None None 2019-10-29 13:47:02 UTC
Red Hat Product Errata RHSA-2019:3281 None None None 2019-10-31 14:08:17 UTC
Red Hat Product Errata RHSA-2019:3756 None None None 2019-11-06 17:08:22 UTC

Description Doran Moppert 2019-10-23 05:40:15 UTC
A fixed-size stack buffer could overflow in nrappkit when doing WebRTC signaling. This resulted in a potentially exploitable crash in some instances.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-33/#CVE-2019-11760

Comment 1 Doran Moppert 2019-10-23 05:40:17 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Nils

Comment 2 errata-xmlrpc 2019-10-23 14:00:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3193 https://access.redhat.com/errata/RHSA-2019:3193

Comment 3 errata-xmlrpc 2019-10-24 08:24:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3196 https://access.redhat.com/errata/RHSA-2019:3196

Comment 4 Product Security DevOps Team 2019-10-25 00:51:35 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11760

Comment 5 errata-xmlrpc 2019-10-29 09:49:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3210 https://access.redhat.com/errata/RHSA-2019:3210

Comment 6 errata-xmlrpc 2019-10-29 13:47:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3237 https://access.redhat.com/errata/RHSA-2019:3237

Comment 7 errata-xmlrpc 2019-10-31 14:08:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3281 https://access.redhat.com/errata/RHSA-2019:3281

Comment 8 errata-xmlrpc 2019-11-06 17:08:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3756 https://access.redhat.com/errata/RHSA-2019:3756


Note You need to log in before you can comment on or make changes to this bug.